Create Orders
curl --request POST \
--url https://api.platform.poderp.com/api/openapi/order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uniqueRequestId": "<string>",
"orderItems": [
{
"orderNo": "<string>",
"recipient": {
"receiverName": "<string>",
"country": "<string>",
"state": "<string>",
"city": "<string>",
"postcode": "<string>",
"address1": "<string>",
"phone": "<string>",
"remark": "<string>",
"email": "jsmith@example.com"
},
"product": {
"quantity": 123,
"sku": "<string>",
"spu": "<string>",
"size": "<string>",
"color": "<string>",
"attributes": {}
},
"imageUrls": []
}
]
}
'import requests
url = "https://api.platform.poderp.com/api/openapi/order"
payload = {
"uniqueRequestId": "<string>",
"orderItems": [
{
"orderNo": "<string>",
"recipient": {
"receiverName": "<string>",
"country": "<string>",
"state": "<string>",
"city": "<string>",
"postcode": "<string>",
"address1": "<string>",
"phone": "<string>",
"remark": "<string>",
"email": "jsmith@example.com"
},
"product": {
"quantity": 123,
"sku": "<string>",
"spu": "<string>",
"size": "<string>",
"color": "<string>",
"attributes": {}
},
"imageUrls": []
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
uniqueRequestId: '<string>',
orderItems: [
{
orderNo: '<string>',
recipient: {
receiverName: '<string>',
country: '<string>',
state: '<string>',
city: '<string>',
postcode: '<string>',
address1: '<string>',
phone: '<string>',
remark: '<string>',
email: 'jsmith@example.com'
},
product: {
quantity: 123,
sku: '<string>',
spu: '<string>',
size: '<string>',
color: '<string>',
attributes: {}
},
imageUrls: []
}
]
})
};
fetch('https://api.platform.poderp.com/api/openapi/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"code": "<string>",
"message": "<string>"
}Order Management
Create Orders
Creates a new order. You can specify products by sku code (recommended) or by spu + size + color.
POST
/
api
/
openapi
/
order
Create Orders
Import orders into the system. You can specify products in two ways:
- By SKU code (recommended): Pass the
skufield with a code from List Products. The system resolves size, color, and SPU automatically. - By SPU + size + color: Pass
spu,size, andcolorindividually (legacy method, still supported).
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Order details
